From f7af2655c734a9ab75e17dce24c400321d2d8960 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 28 2020 06:23:45 +0000
Subject: [PATCH 1835/2232] Clean up some unneeded guards on Box and Vec externs


These blocks contain extern function declarations only, not definitions.
It's okay for declarations to be repeated so the guard serves no
purpose.

---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 652ebf3..ab463ea 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -1402,8 +1402,6 @@ fn write_rust_box_extern(out: &mut OutFile, ident: &Pair) {
     let inner = ident.to_fully_qualified();
     let instance = ident.to_symbol();
 
-    writeln!(out, "#ifndef CXXBRIDGE1_RUST_BOX_{}", instance);
-    writeln!(out, "#define CXXBRIDGE1_RUST_BOX_{}", instance);
     writeln!(
         out,
         "{} *cxxbridge1$box${}$alloc() noexcept;",
@@ -1419,7 +1417,6 @@ fn write_rust_box_extern(out: &mut OutFile, ident: &Pair) {
         "void cxxbridge1$box${}$drop(::rust::Box<{}> *ptr) noexcept;",
         instance, inner,
     );
-    writeln!(out, "#endif // CXXBRIDGE1_RUST_BOX_{}", instance);
 }
 
 fn write_rust_vec_extern(out: &mut OutFile, element: &RustName) {
@@ -1428,8 +1425,6 @@ fn write_rust_vec_extern(out: &mut OutFile, element: &RustName) {
 
     out.include.cstddef = true;
 
-    writeln!(out, "#ifndef CXXBRIDGE1_RUST_VEC_{}", instance);
-    writeln!(out, "#define CXXBRIDGE1_RUST_VEC_{}", instance);
     writeln!(
         out,
         "void cxxbridge1$rust_vec${}$new(const ::rust::Vec<{}> *ptr) noexcept;",
@@ -1465,7 +1460,6 @@ fn write_rust_vec_extern(out: &mut OutFile, element: &RustName) {
         "void cxxbridge1$rust_vec${}$set_len(::rust::Vec<{}> *ptr, ::std::size_t len) noexcept;",
         instance, inner,
     );
-    writeln!(out, "#endif // CXXBRIDGE1_RUST_VEC_{}", instance);
 }
 
 fn write_rust_box_impl(out: &mut OutFile, ident: &Pair) {

